#include<bits/stdc++.h>
#define ll long long
#define ld long double
#define pii pair<int,int>
#define ve vector<int>
#define pb push_back
#define fi first
#define se second
#define mid (l+r>>1)
using namespace std;
const int N=2024;
int n,m;
int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	ios::sync_with_stdio(0);
	cin.tie(0),cout.tie(0);
	return 0;
}